Import dwg/dxf no longer working

2018-11-01 02:29 AM - Rob Willson

Status: Closed

Priority: High

Assignee: Jürgen Fischer

Category: DWG/DXF import

Affected QGIS version:3.4.0 Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 28126

Description

2 problems:

(1) in previous versions (3.2) when you selected the location to store your GeoPackage it would let you create a new GeoPackage if you

provided a name See upload 1 for error message. Now you have to already have a GeoPackage created.

So when I select an existing GeoPackage I can get to the next step to select a *.dwg file for import.

(2) but when you select your dwg it generates "could not open layer list" and then "Drawing import failed" (upload 2). These are for dwg

files that I have successfully imported in the past using 2.18x and 3.2

Associated revisions

Revision 8400a8bb - 2018-11-02 11:10 AM - Jürgen Fischer

dwg import:

    -  allow entering new gpkg filenames (fixes #20305)

    -  move messagebar to dialog

Revision 86a94142 - 2018-11-02 11:12 AM - Jürgen Fischer

dwg import:

    -  allow entering new gpkg filenames (fixes #20305)

    -  move messagebar to dialog

(cherry picked from commit 8400a8bb3d479ae256d077b726685856316b2ab1)

History

#1 - 2018-11-02 08:30 AM - Michael Albrecht

Same here. Pls fix

#2 - 2018-11-02 09:09 AM - Giovanni Manghi

- Operating System deleted (Windows 10)

Confirmed by many now.
#3 - 2018-11-02 10:35 AM - Pedro Venâncio

- File Import_DWG.jpg added

I confirm both issues.

For the first one, it seems that DWG/DXF Import tool has changed, and the field to Specify GeoPackage database, that was used to "save" a new

GeoPackage, now only allows to "select and open" an existing GeoPackage.

The second problem seems related to the first one, because it seems to me that DWG/DXF Import tool in previous versions, created the GeoPackage with

a certain structure to conform the objects from the DWG/DXF, with the respective geometry types. Creating a clean GeoPackage before, and selecting it to

import the DWG/DXF generates the "could not open layer list" message, both on 3.4 and 2.18.25. I guess that is because the expected structure is not

there.

#4 - 2018-11-02 11:10 AM - Jürgen Fischer

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|8400a8bb3d479ae256d077b726685856316b2ab1.

Files
